import { getStandardList } from '@/api/standard/standard.js'
const standard = {
  namespaced: true,
  state: {
    standard: '',
    standardList: []
  },

  mutations: {
    SET_STANDARD: (state, standard) => {
      state.standard = standard
    },
    SET_STANDARD_LIST: (state, standardList) => {
      state.standardList = standardList
    }
  },

  actions: {
    setStandard({ commit }, standard) {
      commit('SET_STANDARD', standard)
    },
    setStandardList({ commit }) {
      getStandardList({
        pageNum: 1,
        pageSize: 9999
      }).then(res => {
        console.log(res.rows)
        if (res.code === 200) {
          standard.state.standard = res.rows[0].id
          commit('SET_STANDARD_LIST', res.rows)
        }
      })
    }
  }
}

export default standard
